## vorta 0.7.5

=== Makefile ===
export VORTA_SRC := src/vorta
export FLATPAK_XML := src/vorta/assets/metadata/com.borgbase.Vorta.appdata.xml
VERSION := $(shell python -c "from src.vorta._version import __version__; print(__version__)")

.PHONY : help
.DEFAULT_GOAL := help

clean:
	rm -rf dist/*

dist/Vorta.app:  ## Build macOS app locally (without Borg)
	pyinstaller --clean --noconfirm package/vorta.spec
	cp -R /usr/local/Caskroom/sparkle/*/Sparkle.framework dist/Vorta.app/Contents/Frameworks/
	rm -rf build/vorta dist/vorta

dist/Vorta.dmg: dist/Vorta.app  ## Create notarized macOS DMG for distribution.
	python3 package/fix_app_qt_folder_names_for_codesign.py dist/Vorta.app
	cd dist && sh ../package/macos-package-app.sh

github-release: dist/Vorta.dmg  ## Add new Github release and attach macOS DMG
	cp dist/Vorta.dmg dist/vorta-${VERSION}.dmg
	hub release create --attach=dist/vorta-${VERSION}.dmg v${VERSION}
	git checkout gh-pages
	git commit -m 'rebuild pages' --allow-empty
	git push upstream gh-pages
	git checkout master

pypi-release: translations-to-qm  ## Upload new release to PyPi
	python setup.py sdist
	twine upload dist/vorta-${VERSION}.tar.gz

bump-version:  ## Tag new version. First set new version number in src/vorta/_version.py
	xmlstarlet ed -L -u 'component/releases/release/@date' -v $(shell date +%F) ${FLATPAK_XML}
	xmlstarlet ed -L -u 'component/releases/release/@version' -v v${VERSION} ${FLATPAK_XML}
	git commit -a -m "Bump version to v${VERSION}"
	git tag -a v${VERSION}

translations-from-source:  ## Extract strings from source code / UI files, merge into .ts.
	pylupdate5 -verbose -translate-function trans_late \
			   ${VORTA_SRC}/*.py ${VORTA_SRC}/views/*.py ${VORTA_SRC}/borg/*.py \
			   ${VORTA_SRC}/assets/UI/*.ui \
			   -ts ${VORTA_SRC}/i18n/ts/vorta.en.ts

translations-push: translations-from-source  ## Upload .ts to Transifex.
	tx push -s

translations-pull:  ## Download .ts from Transifex.
	tx pull -a

translations-to-qm:  ## Compile .ts text files to binary .qm files.
	for f in $$(ls ${VORTA_SRC}/i18n/ts/vorta.*.ts); do lrelease $$f -qm ${VORTA_SRC}/i18n/qm/$$(basename $$f .ts).qm; done

flatpak-install: translations-to-qm
	pip3 install --prefix=/app --no-deps .
	install -D ${FLATPAK_XML} /app/share/metainfo/com.borgbase.Vorta.appdata.xml
	install -D src/vorta/assets/icons/icon.svg /app/share/icons/hicolor/scalable/apps/com.borgbase.Vorta.svg
	install -D package/icon-symbolic.svg /app/share/icons/hicolor/symbolic/apps/com.borgbase.Vorta-symbolic.svg
	install -D src/vorta/assets/metadata/com.borgbase.Vorta.desktop /app/share/applications/com.borgbase.Vorta.desktop

help:
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

=== debian/changelog ===
vorta (0.7.5-1) unstable; urgency=medium

  * New upstream release.
    af2d6a9  v0.7.5 Bump version to v0.7.5, update translations
    c66b102  Use json mode to list archive files. By @rblenis (#885)
    bd3c479  Add untranslated strings. By @samuel-w (#902)
    f7533b7  Disable codecov comments (#904)
    6d8ad90  Allow to fully disable using the system keychain. (#898)
    - This commit also switches from PyQT mutexes and locks to the stdlib
      ones, finally solving CI failures on armhf.  This release shows 100%
      success over 10 runs of built-time tests on able.debian.org, and the
      same rate of success for formal DebCI on LXC on a virtualised armhf
      machine (Closes: #983265).
    - This commit also cleans up the tray applet, allowing the application to
      cleanly exit, thus solving the SIGSEGV (Closes: #978105).
    824707c  Fix issue with unassigned self.handle (#899)
  * Rebase patch queue onto this release:
    - Drop 0006-Fix-issue-with-unassigned-self.handle-899.patch
      (it's already part of this release).

 -- Nicholas D Steeves <sten@debian.org>  Fri, 05 Mar 2021 16:05:28 -0500

vorta (0.7.4-1) unstable; urgency=medium

  * New upstream release.
  * Cherry pick 0006-Fix-issue-with-unassigned-self.handle-899.patch from
    upstream (needed when kwallet is unavailable).

 -- Nicholas D Steeves <sten@debian.org>  Mon, 01 Mar 2021 07:05:21 -0500

vorta (0.7.3-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patch queue onto 0.7.3.
  * Drop patches that are already part of this release:
    - 0002-Reduce-icon-memory-usage.-By-samuel-w-656.patch
    - 0003-Set-all-icons-to-same-height-660.patch
    - 0004-Set-application-name-666.patch
    - 0005-Properly-catch-DBusException.-By-samuel-w-670.patch
    - 0009-Add-valid-copyright-header-to-Johan-Rade-s-work.patch
  * Drop 0010-Increase-timeouts-for-all-self-tests.patch, which became no
    longer necessary as a result of upstream's stabilisation work.
  * Update my email address.
  * Adjust rules to install icon.svg from new upstream location.

 -- Nicholas D Steeves <sten@debian.org>  Thu, 18 Feb 2021 10:07:10 -0500

vorta (0.7.1-4) unstable; urgency=medium

  * Add forwarded header to 0010-Increase-timeouts-for-all-self-tests.patch
  * Make vorta backportable to buster (Closes: #979987)
    - Add qtchooser to build-deps because buster has both qt4 and qt5.
    - Explicitly export QT_SELECT=qt5 in rules.
    - Define python3-pyqt5 as the package that provides pyqt5 using
      py3dist-overrides.
    - Add 0011-use-python3-in-Makefile.path because dh-python and/or pytest
      in buster appears to require the following type of patch:
      python->python3, even when the Makefile isn't used at all.
    - Vorta requires python3-paramiko ≥ 2.6.0; this is implicitly fulfilled
      in bullseye, however it should be added to control for maximal
      correctness; this dep is fulfilled by the existing buster backport of
      Paramiko.
  * Create debian/clean, and cleanup all generated translations.
  * Enhance extend-diff-ignore to properly match egg-info files in a subdir,
    and additionally to match translations, to defend against the case where
    upstream begins to ship them pregenerated.  Thanks to Jessica Clarke for
    help with this, and for teaching an introduction to intermediate/advanced
    regexes!

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sat, 16 Jan 2021 23:12:14 -0500

vorta (0.7.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Nicholas D Steeves ]
  * Minor enhancements to long description.
  * Add 0010-Increase-timeouts-for-all-self-tests.patch (Closes: #976134).

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 25 Dec 2020 17:26:40 -0500

vorta (0.7.1-2) unstable; urgency=medium

  * Do source only upload so the package can migrate to testing.
  * Enable superficial autopkgtests via "autopkgtest-pkg-python" in
    addition to the manually configured ones.
  * Declare Standards-Version: 4.5.1 (no changes required).

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 27 Nov 2020 13:31:34 -0500

vorta (0.7.1-1) unstable; urgency=medium

  * Initial release (Closes: #922961).

 -- Nicholas D Steeves <nsteeves@gmail.com>  Mon, 16 Nov 2020 15:20:37 -0500

=== debian/control ===
Source: vorta
Section: utils
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Nicholas D Steeves <sten@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               python3-all,
               python3-setuptools,
               python3-setuptools-git,
               qttools5-dev-tools,
               borgbackup             <!nocheck>,
               python3-mock           <!nocheck>,
               python3-pytest-forked  <!nocheck>,
               python3-pytest-mock    <!nocheck>,
               python3-pytest-runner  <!nocheck>,
               python3-appdirs        <!nocheck>,
               python3-apscheduler    <!nocheck>,
               python3-keyring        <!nocheck>,
               python3-dateutil       <!nocheck>,
               python3-networkmanager <!nocheck>,
               python3-paramiko (>= 2.6.0-1~) <!nocheck>,
               python3-peewee         <!nocheck>,
               python3-psutil         <!nocheck>,
               python3-pyqt5.qsci     <!nocheck>,
               python3-pytestqt       <!nocheck>,
               xauth                  <!nocheck>,
               xvfb                   <!nocheck>,
               qtchooser
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://vorta.borgbase.com
Vcs-Browser: https://salsa.debian.org/python-team/packages/vorta
Vcs-Git: https://salsa.debian.org/python-team/packages/vorta.git
Testsuite: autopkgtest-pkg-python
# nonsuperficial tests manually configured in debian/tests/unittests

Package: vorta
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
         python3-pyqt5.qsci,
         python3-secretstorage
Recommends: borgbackup
Description: Desktop Client for Borg Backup
 Vorta is a GUI backup client for macOS and Linux desktops. It enables less
 technical users, or users who prefer GUIs, to benefit from the mighty
 BorgBackup.  Now anyone can easily and conveniently protect their data from
 disk failure, ransomware, theft, and user error.
 .
 Features:
   * Encrypted, deduplicated, and compressed backups via Borg.
   * Backup to disk (DAS: direct-attached storage), server (NAS: network
     attached storage), or a hosting service that supports Borg (BorgBase,
     rsync.net, et al).
   * Backups over SSH using "borg server".
   * Profiles for grouping source folders, backup destinations, and schedules.
   * Unified interface for viewing and managing all archives.
   * Enhanced ease of use when restoring individual files.
   * Built-in backup scheduling method that does not depend on system-level
     facilities such as cron or systemd timers.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=vorta
export PYBUILD_TEST_PYTEST=1
export PYS=$(shell $(py3versions -r 2> /dev/null))
export QT_SELECT=qt5

%:
	dh $@ --buildsystem=pybuild

override_dh_python3:
	dh_python3
	mkdir -p debian/vorta/usr/share/applications/ \
	         debian/vorta/usr/share/metainfo/ \
	         debian/vorta/usr/share/pixmaps/ \
	         debian/vorta/usr/share/vorta/
	make translations-to-qm
	dh_install -X src/vorta/i18n/qm/.gitkeep src/vorta/i18n/qm/ \
	   /usr/lib/python3/dist-packages/vorta/i18n/
	mv debian/vorta/usr/lib/python3/dist-packages/vorta/assets/metadata/Screenshot-*.png \
	   debian/vorta/usr/share/vorta/
	mv debian/vorta/usr/lib/python3/dist-packages/vorta/assets/metadata/com.borgbase.Vorta.appdata.xml \
	   debian/vorta/usr/share/metainfo/
	mv debian/vorta/usr/lib/python3/dist-packages/vorta/assets/metadata/com.borgbase.Vorta.desktop \
	   debian/vorta/usr/share/applications/
	rmdir debian/vorta/usr/lib/python3/dist-packages/vorta/assets/metadata
	install -m 644 src/vorta/assets/icons/icon.svg debian/vorta/usr/share/pixmaps/com.borgbase.Vorta.svg

override_dh_auto_test:
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" \
	         dbus-run-session dh_auto_test

=== debian/tests/control ===
Tests: unittests
Restrictions: allow-stderr
Depends: borgbackup, python3-all, python3-mock, python3-pytest-forked, python3-pytest-runner, python3-pytest-mock, python3-networkmanager, python3-pytestqt, vorta, xauth, xvfb

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/vorta-$1.tar.gz/" \
    https://github.com/borgbase/vorta/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## vorta 0.8.3

=== Makefile ===
--- 
+++ 
@@ -38,7 +38,7 @@
 translations-from-source:  ## Extract strings from source code / UI files, merge into .ts.
 	pylupdate5 -verbose -translate-function trans_late \
 			   ${VORTA_SRC}/*.py ${VORTA_SRC}/views/*.py ${VORTA_SRC}/borg/*.py \
-			   ${VORTA_SRC}/assets/UI/*.ui \
+			   ${VORTA_SRC}/store/*.py ${VORTA_SRC}/assets/UI/*.ui \
 			   -ts ${VORTA_SRC}/i18n/ts/vorta.en.ts
 
 translations-push: translations-from-source  ## Upload .ts to Transifex.

=== debian/changelog ===
vorta (0.8.3-1) unstable; urgency=medium

  * New upstream release (Closes: #985424, #987073).
  * Rebase patch queue onto 0.8.3, and drop patches for all commits present
    in this release:
    0006-Create-missing-parents-of-autostart-folder.-See-930.patch
    0007-Close-SVG-files-after-reading.-By-hroncok-1135.patch
    0008-Update-translations-ensure-new-store-module-is-inclu.patch
    0009-Remove-unused-pytest-runner-dependency.-Fixes-1136-1.patch
    0010-Remove-unused-setuptools-git-dependency.patch
    0011-Minor-test-fixes-1150.patch from upstream
    0012-Add-Bastien-to-contributors-1148.patch
    0013-Shows-folder-sizes-in-diff-view.-By-skrap-1156.patch
    0014-Ignore-encoding-errors-in-Wifi-names-darwin-1158.patch
    0015-Distinguish-different-errors-in-case-borg-check-fail.patch
    0016-Remove-unnecessary-qtbot.wait-1172.patch
  * Renumber 3/4 of the remaining patches:
    0006-fix-desktop_file-path-in-tests.patch
      -> 0002-fix-desktop_file-path-in-tests.patch
    0008-fix-generic-privacy-breach-in-appdata.patch
      -> 0003-fix-generic-privacy-breach-in-appdata.patch
    0011-use-python3-in-Makefile.patch
      -> 0004-use-python3-in-Makefile.patch
  * tests/control: Drop python3-pytest-runner and python3-networkmanager
    Depends, and add openssh-client.  For further information, refer to the
    build-time unit test rationale provided in the 0.8.2-1 changelog entry.

 -- Nicholas D Steeves <sten@debian.org>  Tue, 08 Feb 2022 10:48:23 -0500

vorta (0.8.2-1) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * New upstream release (Closes: #1001490, #1002088).
  * Rebase patch queue onto this release.
  * Drop Build-Depends that are no longer required: python3-apscheduler.
  * Cherry pick the following from upstream to simplify unit test debugging:
    0006-Create-missing-parents-of-autostart-folder.-See-930.patch
    0007-Close-SVG-files-after-reading.-By-hroncok-1135.patch
    0008-Update-translations-ensure-new-store-module-is-inclu.patch
    0009-Remove-unused-pytest-runner-dependency.-Fixes-1136-1.patch
    0010-Remove-unused-setuptools-git-dependency.patch
    0011-Minor-test-fixes-1150.patch from upstream
    0012-Add-Bastien-to-contributors-1148.patch
    0013-Shows-folder-sizes-in-diff-view.-By-skrap-1156.patch
    0014-Ignore-encoding-errors-in-Wifi-names-darwin-1158.patch
    0015-Distinguish-different-errors-in-case-borg-check-fail.patch
    0016-Remove-unnecessary-qtbot.wait-1172.patch
    This brings the Debian source to parity with upstream 4d399fe.
  * Add 0008-Update-translations-ensure-new-store-module-is-inclu.patch to
    include-binaries.
  * Update 0006-Create-missing-parents-of-autostart-folder.-See-930.patch to
    check if Vorta has been installed system-wide (eg: autopkgtests), and if
    not, load com.borgbase.Vorta.desktop from the upstream location; this
    solves FTBFS on buildd due to failing tests and prevents a regression in
    the autopkgtests.
  * rules: Set HOME to /tmp/home, and create it.
  * rules: Set XDG_RUNTIME_DIR to /tmp/run, and create it.
  * Drop 0007-disable-tests-that-depend-on-stable-PATH.patch, it is no longer
    needed!
  * Add libqt5svg5 to Build-Depends.  Without this lib 'test_archive_mount',
    which requires clickable elements, fails.
  * Add openssh-client to Recommends, so that network backup targets will
    work out of the box.
  * Declare Standards-Version: 4.6.0 (no changes required).

  [ Manuel Riel ]
  * Add explicit libqt5svg5 dependency to bin:vorta; this is needed for icons.
  * Drop Build-Depends that are no longer used by unit tests:
    python3-pytest-forked, python3-keyring, python3-networkmanager,
    python3-pyqt5.qsci.
  * Add back python3-pyqt5, which is no longer indirectly fulfilled by
    python3-pyqt5.qsci.
  * Also drop explicit bin:vorta deps on python3-pyqt5.qsci, and
    python3-secretstorage.

  [ Nicholas Steeves and Manuel Riel ]
  * Drop the following build deps (which are no longer necessary):
    python3-setuptools-git, python3-pytest-runner.
  * Add openssh-client to Build-Depends; this is needed for ssh key tests in
    'test_ssh_dialog'.
  * Add explicit build dep on dbus-daemon, because this transitive dependency
    breaks when python3-keyring and python3-networkmanager are removed.

 -- Nicholas D Steeves <sten@debian.org>  Wed, 26 Jan 2022 19:25:26 -0500

vorta (0.7.8-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Sun, 29 Aug 2021 09:20:40 -0400

vorta (0.7.7-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patch queue onto this release.

 -- Nicholas D Steeves <sten@debian.org>  Wed, 18 Aug 2021 14:52:50 -0400

=== debian/control ===
--- 
+++ 
@@ -8,28 +8,24 @@
                dh-sequence-python3,
                python3-all,
                python3-setuptools,
-               python3-setuptools-git,
                qttools5-dev-tools,
                borgbackup             <!nocheck>,
+               dbus-daemon            <!nocheck>,
+               libqt5svg5             <!nocheck>,
+               openssh-client         <!nocheck>,
                python3-mock           <!nocheck>,
-               python3-pytest-forked  <!nocheck>,
                python3-pytest-mock    <!nocheck>,
-               python3-pytest-runner  <!nocheck>,
                python3-appdirs        <!nocheck>,
-               python3-apscheduler    <!nocheck>,
-               python3-keyring        <!nocheck>,
-               python3-dateutil       <!nocheck>,
-               python3-networkmanager <!nocheck>,
                python3-paramiko (>= 2.6.0-1~) <!nocheck>,
                python3-peewee         <!nocheck>,
                python3-psutil         <!nocheck>,
-               python3-pyqt5.qsci     <!nocheck>,
+               python3-pyqt5          <!nocheck>,
                python3-pytestqt       <!nocheck>,
                xauth                  <!nocheck>,
                xvfb                   <!nocheck>,
                qtchooser
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://vorta.borgbase.com
 Vcs-Browser: https://salsa.debian.org/python-team/packages/vorta
 Vcs-Git: https://salsa.debian.org/python-team/packages/vorta.git
@@ -39,9 +35,9 @@
 Package: vorta
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends},
-         python3-pyqt5.qsci,
-         python3-secretstorage
-Recommends: borgbackup
+         libqt5svg5
+Recommends: borgbackup,
+            openssh-client
 Description: Desktop Client for Borg Backup
  Vorta is a GUI backup client for macOS and Linux desktops. It enables less
  technical users, or users who prefer GUIs, to benefit from the mighty

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 export PYBUILD_TEST_PYTEST=1
 export PYS=$(shell $(py3versions -r 2> /dev/null))
 export QT_SELECT=qt5
+export HOME=/tmp/home
+export XDG_RUNTIME_DIR=/tmp/run
 
 %:
 	dh $@ --buildsystem=pybuild
@@ -26,5 +28,7 @@
 	install -m 644 src/vorta/assets/icons/icon.svg debian/vorta/usr/share/pixmaps/com.borgbase.Vorta.svg
 
 override_dh_auto_test:
+	mkdir -p $(HOME)
+	mkdir -p $(XDG_RUNTIME_DIR)
 	xvfb-run -a --server-args="-screen 0 1024x768x24+32" \
 	         dbus-run-session dh_auto_test

=== debian/tests/control ===
Tests: unittests
Restrictions: allow-stderr
Depends: borgbackup, python3-all, python3-mock, python3-pytest-forked, python3-pytest-mock, python3-pytestqt, openssh-client, vorta, xauth, xvfb

## vorta 0.8.4

=== debian/changelog ===
vorta (0.8.4-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Nicholas D Steeves <sten@debian.org>  Mon, 09 May 2022 15:59:50 -0400

vorta (0.8.4-1) unstable; urgency=medium

  * New upstream release.
  * Enable Vorta icon in DBus notification:
    + Add 0005-enable-colour-icon-in-notifications.patch
    + rules: Install icon to the expected location

 -- Nicholas D Steeves <sten@debian.org>  Mon, 09 May 2022 15:55:26 -0400

vorta (0.8.3-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Nicholas D Steeves <sten@debian.org>  Mon, 11 Apr 2022 19:42:06 -0400

## vorta 0.8.6

=== debian/changelog ===
vorta (0.8.6-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 27 May 2022 19:51:00 -0400

vorta (0.8.6-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patch queue onto this release.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 27 May 2022 19:45:41 -0400

## vorta 0.8.7

=== debian/changelog ===
vorta (0.8.7-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 17 Jun 2022 17:22:26 -0400

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 override_dh_python3:
 	dh_python3
 	mkdir -p debian/vorta/usr/share/applications/ \
+	         debian/vorta/usr/share/icons/hicolor/scalable/apps \
 	         debian/vorta/usr/share/metainfo/ \
 	         debian/vorta/usr/share/pixmaps/ \
 	         debian/vorta/usr/share/vorta/
@@ -22,6 +23,8 @@
 	   debian/vorta/usr/share/vorta/
 	mv debian/vorta/usr/lib/python3/dist-packages/vorta/assets/metadata/com.borgbase.Vorta.appdata.xml \
 	   debian/vorta/usr/share/metainfo/
+	cp -a debian/vorta/usr/lib/python3/dist-packages/vorta/assets/metadata/com.borgbase.Vorta.desktop \
+	   debian/vorta/usr/share/icons/hicolor/scalable/apps
 	mv debian/vorta/usr/lib/python3/dist-packages/vorta/assets/metadata/com.borgbase.Vorta.desktop \
 	   debian/vorta/usr/share/applications/
 	rmdir debian/vorta/usr/lib/python3/dist-packages/vorta/assets/metadata

## vorta 0.8.9

=== Makefile ===
--- 
+++ 
@@ -37,8 +37,7 @@
 
 translations-from-source:  ## Extract strings from source code / UI files, merge into .ts.
 	pylupdate5 -verbose -translate-function trans_late \
-			   ${VORTA_SRC}/*.py ${VORTA_SRC}/views/*.py ${VORTA_SRC}/borg/*.py \
-			   ${VORTA_SRC}/store/*.py ${VORTA_SRC}/assets/UI/*.ui \
+			   $$(find ${VORTA_SRC} -iname "*.py" -o -iname "*.ui") \
 			   -ts ${VORTA_SRC}/i18n/ts/vorta.en.ts
 
 translations-push: translations-from-source  ## Upload .ts to Transifex.

=== debian/changelog ===
vorta (0.8.9-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Nicholas D Steeves <sten@debian.org>  Tue, 29 Nov 2022 14:58:38 -0500

vorta (0.8.9-1) unstable; urgency=medium

  * New upstream release.
  * gbp.conf: Specifify compression = gz, which is what upstream uses,
    and drop manual definition of compression-level; repacking should
    not occur, so compression-level is not needed.
  * Switch from "py3versions -r [--requested]" to the "py3versions
    --supported" method for getting a list all available supported Python
    versions.
  * Update lintian override for no-manual-page.

 -- Nicholas D Steeves <sten@debian.org>  Tue, 15 Nov 2022 16:15:36 -0500

vorta (0.8.7-1~bpo11+2) bullseye-backports; urgency=medium

  * Restore the following required run-time dependency:
    python3-secretstorage.

 -- Nicholas D Steeves <sten@debian.org>  Thu, 11 Aug 2022 06:25:38 -0400

vorta (0.8.7-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Nicholas D Steeves <sten@debian.org>  Mon, 20 Jun 2022 16:36:21 -0400

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,8 @@
 Package: vorta
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends},
-         libqt5svg5
+         libqt5svg5,
+         python3-secretstorage
 Recommends: borgbackup,
             openssh-client
 Description: Desktop Client for Borg Backup

## vorta 0.8.10

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 export VORTA_SRC := src/vorta
-export FLATPAK_XML := src/vorta/assets/metadata/com.borgbase.Vorta.appdata.xml
+export APPSTREAM_METADATA := src/vorta/assets/metadata/com.borgbase.Vorta.appdata.xml
 VERSION := $(shell python -c "from src.vorta._version import __version__; print(__version__)")
 
 .PHONY : help
@@ -30,8 +30,8 @@
 	twine upload dist/vorta-${VERSION}.tar.gz
 
 bump-version:  ## Tag new version. First set new version number in src/vorta/_version.py
-	xmlstarlet ed -L -u 'component/releases/release/@date' -v $(shell date +%F) ${FLATPAK_XML}
-	xmlstarlet ed -L -u 'component/releases/release/@version' -v v${VERSION} ${FLATPAK_XML}
+	xmlstarlet ed -L -u 'component/releases/release/@date' -v $(shell date +%F) ${APPSTREAM_METADATA}
+	xmlstarlet ed -L -u 'component/releases/release/@version' -v v${VERSION} ${APPSTREAM_METADATA}
 	git commit -a -m "Bump version to v${VERSION}"
 	git tag -a v${VERSION}
 
@@ -50,11 +50,19 @@
 	for f in $$(ls ${VORTA_SRC}/i18n/ts/vorta.*.ts); do lrelease $$f -qm ${VORTA_SRC}/i18n/qm/$$(basename $$f .ts).qm; done
 
 flatpak-install: translations-to-qm
-	pip3 install --prefix=/app --no-deps .
-	install -D ${FLATPAK_XML} /app/share/metainfo/com.borgbase.Vorta.appdata.xml
-	install -D src/vorta/assets/icons/icon.svg /app/share/icons/hicolor/scalable/apps/com.borgbase.Vorta.svg
-	install -D package/icon-symbolic.svg /app/share/icons/hicolor/symbolic/apps/com.borgbase.Vorta-symbolic.svg
-	install -D src/vorta/assets/metadata/com.borgbase.Vorta.desktop /app/share/applications/com.borgbase.Vorta.desktop
+	pip3 install --verbose --exists-action=i --no-index --find-links=\"file://${PWD}\" --prefix=${FLATPAK_DEST} --no-build-isolation .
+	install -D ${APPSTREAM_METADATA} ${FLATPAK_DEST}/share/metainfo/com.borgbase.Vorta.appdata.xml
+	install -D src/vorta/assets/icons/icon.svg ${FLATPAK_DEST}/share/icons/hicolor/scalable/apps/com.borgbase.Vorta.svg
+	install -D package/icon-symbolic.svg ${FLATPAK_DEST}/share/icons/hicolor/symbolic/apps/com.borgbase.Vorta-symbolic.svg
+	install -D src/vorta/assets/metadata/com.borgbase.Vorta.desktop ${FLATPAK_DEST}/share/applications/com.borgbase.Vorta.desktop
+
+lint:
+	flake8
+	isort --check-only .
+	black --check .
+
+test:
+	pytest --cov=vorta
 
 help:
 	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

=== debian/changelog ===
vorta (0.8.10-1+deb12u1) bookworm; urgency=medium

  * Add 0006-Handle-ctime-and-mtime-diff-changes-1675.patch, which is a
    cherry-picked fix from upstream that adapts Vorta 0.8.10 to Borg 1.2.4
    (Closes: #1042671).

 -- Nicholas D Steeves <sten@debian.org>  Mon, 31 Jul 2023 11:10:53 -0400

vorta (0.8.10-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patch queue onto this release.
  * Drop source/include-binaries, which has not been needed since 0008-
    Update-translations-ensure-new-store-module-is-inclu.patch was
    dropped.
  * Declare Standards-Version: 4.6.2 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Mon, 23 Jan 2023 15:06:42 -0500

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                xvfb                   <!nocheck>,
                qtchooser
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://vorta.borgbase.com
 Vcs-Browser: https://salsa.debian.org/python-team/packages/vorta
 Vcs-Git: https://salsa.debian.org/python-team/packages/vorta.git
@@ -35,8 +35,7 @@
 Package: vorta
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends},
-         libqt5svg5,
-         python3-secretstorage
+         libqt5svg5
 Recommends: borgbackup,
             openssh-client
 Description: Desktop Client for Borg Backup

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 export PYBUILD_NAME=vorta
 export PYBUILD_TEST_PYTEST=1
-export PYS=$(shell $(py3versions -r 2> /dev/null))
+export PYS=$(shell $(py3versions --supported))
 export QT_SELECT=qt5
 export HOME=/tmp/home
 export XDG_RUNTIME_DIR=/tmp/run

## vorta 0.8.12

=== debian/changelog ===
vorta (0.8.12-2) unstable; urgency=medium

  * Team upload.

  [ Nicholas D Steeves ]
  * Use debian/copyright's "Files-Excluded" function to exclude proprietary
    Font Awesome icons.
  * Update watch file to work with DFSG repacked upstream orig.tarball.
  * gbp.conf: No longer manually set compression type.

  [ Stefano Rivera ]
  * Patch: Loosen dependency on platformidrs.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 14 Nov 2023 12:06:17 +0200

vorta (0.8.12-1) unstable; urgency=medium

  * Update my copyright years.
  * Update 0003-fix-generic-privacy-breach-in-appdata.patch to use new
    screenshots of Vorta 0.8.10 that I uploaded to screenshots.debian.net.
  * Drop installation of unused upstream-provided screenshot files.
  * New upstream release.
  * Rebase patch queue onto this release:
  * Drop 0001-disable-unused-pip.patch (no longer needed).
  * Migrate from appdirs to platformdirs.

 -- Nicholas D Steeves <sten@debian.org>  Sun, 11 Jun 2023 18:02:30 -0400

=== debian/control ===
--- 
+++ 
@@ -15,9 +15,9 @@
                openssh-client         <!nocheck>,
                python3-mock           <!nocheck>,
                python3-pytest-mock    <!nocheck>,
-               python3-appdirs        <!nocheck>,
                python3-paramiko (>= 2.6.0-1~) <!nocheck>,
                python3-peewee         <!nocheck>,
+               python3-platformdirs   <!nocheck>,
                python3-psutil         <!nocheck>,
                python3-pyqt5          <!nocheck>,
                python3-pytestqt       <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -14,20 +14,17 @@
 	mkdir -p debian/vorta/usr/share/applications/ \
 	         debian/vorta/usr/share/icons/hicolor/scalable/apps \
 	         debian/vorta/usr/share/metainfo/ \
-	         debian/vorta/usr/share/pixmaps/ \
-	         debian/vorta/usr/share/vorta/
+	         debian/vorta/usr/share/pixmaps/
 	make translations-to-qm
 	dh_install -X src/vorta/i18n/qm/.gitkeep src/vorta/i18n/qm/ \
 	   /usr/lib/python3/dist-packages/vorta/i18n/
-	mv debian/vorta/usr/lib/python3/dist-packages/vorta/assets/metadata/Screenshot-*.png \
-	   debian/vorta/usr/share/vorta/
 	mv debian/vorta/usr/lib/python3/dist-packages/vorta/assets/metadata/com.borgbase.Vorta.appdata.xml \
 	   debian/vorta/usr/share/metainfo/
 	cp -a debian/vorta/usr/lib/python3/dist-packages/vorta/assets/metadata/com.borgbase.Vorta.desktop \
 	   debian/vorta/usr/share/icons/hicolor/scalable/apps
 	mv debian/vorta/usr/lib/python3/dist-packages/vorta/assets/metadata/com.borgbase.Vorta.desktop \
 	   debian/vorta/usr/share/applications/
-	rmdir debian/vorta/usr/lib/python3/dist-packages/vorta/assets/metadata
+	rm -rf debian/vorta/usr/lib/python3/dist-packages/vorta/assets/metadata
 	install -m 644 src/vorta/assets/icons/icon.svg debian/vorta/usr/share/pixmaps/com.borgbase.Vorta.svg
 
 override_dh_auto_test:

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+dfsg(\.?\d+)?$//,\
filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/vorta-$1.tar.gz/,\
repacksuffix=+dfsg,compression=xz,repack \
    https://github.com/borgbase/vorta/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## vorta 0.9.0+dfsg

=== debian/changelog ===
vorta (0.9.0+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Rebase quilt series onto this release:
    - Drop 0005-enable-colour-icon-in-notifications.patch, because
    notifications.py has disappeared, as has the use of
    "com.borgbase.Vorta-symbolic".  If notifications use monochrome rather
    than colour, then a new patch will need to be written.
  * Use debian/copyright's "Files-Excluded" function to exclude proprietary
    Font Awesome icons.
  * Update watch file to work with DFSG repacked upstream orig.tarball.
  * Cherry pick commits from upstream that provide DFSG-compatible icons:
    + 0005-Replace-Font-Awesome-icons-with-Fork-Awesome-and-oth.patch
    + 0007-Add-full-font-licenses-add-Google-icons-in-README.patch
  * Update copyright file with the licenses for the new DFSG-free icons.
  * gbp.conf: No longer manually set compression type.
  * Drop 0005-enable-colour-icon-in-notifications.patch, because
    notifications.py has disappeared, as has the use of
    "com.borgbase.Vorta-symbolic".  If notifications use monochrome rather
    than colour, then a new patch will need to be written.
  * Update dependendies: Migrate to Qt6, and drop Paramiko.
  * Migrate from pybuild's setuptools to pyproject.
  * Add 0006-Migrate-to-Qt6-lrelease.patch.
  * Migrate from qtchooser to qt6-l10n-tools.

 -- Nicholas D Steeves <sten@debian.org>  Mon, 26 Jun 2023 19:23:01 -0400

=== debian/control ===
--- 
+++ 
@@ -4,26 +4,24 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Nicholas D Steeves <sten@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               pybuild-plugin-pyproject,
                dh-sequence-python3,
                python3-all,
-               python3-setuptools,
-               qttools5-dev-tools,
+               pyqt6-dev-tools,
                borgbackup             <!nocheck>,
                dbus-daemon            <!nocheck>,
                libqt5svg5             <!nocheck>,
                openssh-client         <!nocheck>,
                python3-mock           <!nocheck>,
                python3-pytest-mock    <!nocheck>,
-               python3-paramiko (>= 2.6.0-1~) <!nocheck>,
                python3-peewee         <!nocheck>,
                python3-platformdirs   <!nocheck>,
                python3-psutil         <!nocheck>,
-               python3-pyqt5          <!nocheck>,
+               python3-pyqt6          <!nocheck>,
                python3-pytestqt       <!nocheck>,
                xauth                  <!nocheck>,
                xvfb                   <!nocheck>,
-               qtchooser
+               qt6-l10n-tools
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://vorta.borgbase.com

## vorta 0.9.1~beta2

=== debian/changelog ===
vorta (0.9.1~beta2-1~exp1) experimental; urgency=medium

  * Update watch file to use api.github.com so that prereleases such as
    v0.9.1-beta2 will be detected by uscan.
  * Drop Files-Excluded, which should no longer be necessary, because a
    copyright review was conducted with upstream.
  * New upstream release.
  * Rebase patches onto this release, and drop all patches that were cherry
    picked from upstream.
  * Import updated upstream copyright statement.
  * Explicitly add python3-pyfuse3 and fuse3 to Build-Depends and autopkgtest
    control file (previously these dependencies were automatically fulfilled).
  * Renumber patches:
    debian/patches/0002-fix-desktop_file-path-in-tests.patch
    -> debian/patches/0001-fix-desktop_file-path-in-tests.patch
    debian/patches/0003-fix-generic-privacy-breach-in-appdata.patch
    -> debian/patches/0002-fix-generic-privacy-breach-in-appdata.patch
    debian/patches/0004-use-python3-in-Makefile.patch
    -> debian/patches/0003-use-python3-in-Makefile.patch
    debian/patches/0006-Migrate-to-Qt6-lrelease.patch
    -> debian/patches/0004-Migrate-to-Qt6-lrelease.patch
  * Add 0005-Skip-tests-that-require-fuse-kernel-module.patch
  * Import Stefano Rivera's 0006-Loosen-platformdirs-dependency.patch
    from the debian/master branch (which targets sid/unstable).

 -- Nicholas D Steeves <sten@debian.org>  Fri, 17 Nov 2023 17:59:16 -0500

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,10 @@
                pyqt6-dev-tools,
                borgbackup             <!nocheck>,
                dbus-daemon            <!nocheck>,
+               fuse3                  <!nocheck>,
                libqt5svg5             <!nocheck>,
                openssh-client         <!nocheck>,
+               python3-pyfuse3        <!nocheck>,
                python3-mock           <!nocheck>,
                python3-pytest-mock    <!nocheck>,
                python3-peewee         <!nocheck>,

=== debian/tests/control ===
Tests: unittests
Restrictions: allow-stderr
Depends: borgbackup, fuse3, python3-all, python3-pyfuse3, python3-mock, python3-pytest-forked, python3-pytest-mock, python3-pytestqt, openssh-client, vorta, xauth, xvfb

## vorta 0.9.1

=== debian/changelog ===
vorta (0.9.1-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Add python3-setuptools to BDs.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 20 Oct 2024 09:57:39 -0700

vorta (0.9.1-1) unstable; urgency=medium

  * Team Upload
  * Remove obsolete dependency on 'mock', because upstream now uses
    'unittest.mock'.
  * Finish Qt6 migration

  [ Nicholas D Steeves ]
  * New upstream release.
  * Rebase quilt series onto this release, and drop
    0006-Loosen-platformdirs-dependency.patch, because patch contents already
    exist upstream (patch was merged).
  * Add 0006-Drop-info-that-has-confused-users.patch (drops misleading
    reference to incompatible installation instructions in README.md).

 -- Alexandre Detiste <tchet@debian.org>  Fri, 31 May 2024 12:44:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,30 @@
 Source: vorta
 Section: utils
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Nicholas D Steeves <sten@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: borgbackup             <!nocheck>,
+               dbus-daemon            <!nocheck>,
+               python3-setuptools,
+               debhelper-compat (= 13),
+               dh-sequence-python3,
+               fuse3                  <!nocheck>,
+               libqt6svg6             <!nocheck>,
+               openssh-client         <!nocheck>,
                pybuild-plugin-pyproject,
-               dh-sequence-python3,
+               pyqt6-dev-tools,
                python3-all,
-               pyqt6-dev-tools,
-               borgbackup             <!nocheck>,
-               dbus-daemon            <!nocheck>,
-               fuse3                  <!nocheck>,
-               libqt5svg5             <!nocheck>,
-               openssh-client         <!nocheck>,
-               python3-pyfuse3        <!nocheck>,
-               python3-mock           <!nocheck>,
-               python3-pytest-mock    <!nocheck>,
                python3-peewee         <!nocheck>,
                python3-platformdirs   <!nocheck>,
                python3-psutil         <!nocheck>,
+               python3-pyfuse3        <!nocheck>,
                python3-pyqt6          <!nocheck>,
+               python3-pytest-mock    <!nocheck>,
                python3-pytestqt       <!nocheck>,
+               qt6-l10n-tools,
                xauth                  <!nocheck>,
-               xvfb                   <!nocheck>,
-               qt6-l10n-tools
+               xvfb                   <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://vorta.borgbase.com
@@ -34,10 +35,9 @@
 
 Package: vorta
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends},
-         libqt5svg5
-Recommends: borgbackup,
-            openssh-client
+Depends: libqt6svg6, pyqt6-dev-tools, ${misc:Depends}, ${python3:Depends},
+         borgbackup, openssh-client
+# Recommends: borgbackup, openssh-client
 Description: Desktop Client for Borg Backup
  Vorta is a GUI backup client for macOS and Linux desktops. It enables less
  technical users, or users who prefer GUIs, to benefit from the mighty

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,9 @@
 #!/usr/bin/make -f
 export PYBUILD_NAME=vorta
 export PYBUILD_TEST_PYTEST=1
+export PYBUILD_TEST_ARGS= -k 'not test_exclusion_preview_populated'
 export PYS=$(shell $(py3versions --supported))
-export QT_SELECT=qt5
+export QT_SELECT=qt6
 export HOME=/tmp/home
 export XDG_RUNTIME_DIR=/tmp/run

=== debian/tests/control ===
Tests: unittests
Restrictions: allow-stderr
Depends: borgbackup,
         fuse3,
         openssh-client,
         python3-all,
         python3-pyfuse3,
         python3-pytest-forked,
         python3-pytest-mock,
         python3-pytestqt,
         vorta,
         xauth,
         xvfb

## vorta 0.10.0~beta1

=== debian/changelog ===
vorta (0.10.0~beta1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Rebase patch queue onto this release.
  * Ignore Darwin-related network tests.

 -- Nicholas D Steeves <sten@debian.org>  Thu, 31 Oct 2024 17:46:05 -0400

vorta (0.9.1-2) unstable; urgency=medium

  * Add python3-setuptools to build-deps because upstream still uses it (see
    pyproject.toml), and because Python std lib drops setuptools in v3.12
    (Closes: #1080826).
  * Add dbus-daemon to autopkgtest deps because this dependency is no longer
    transitively fulfilled.
  * Declare Standards-Version: 4.7.0 (no changes required).
  * Update 0005-Skip-tests-that-require-fuse-kernel-module.patch so that
    the reason we skip some tests isn't truncated.
  * Add 0007-FIXME-skip-test_export_fail_unwritable.patch for now.  In the
    long-term this test should be patched to use a writeable scratch space
    during autopkgtests.

 -- Nicholas D Steeves <sten@debian.org>  Tue, 08 Oct 2024 14:31:12 -0400

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 export PYBUILD_NAME=vorta
 export PYBUILD_TEST_PYTEST=1
-export PYBUILD_TEST_ARGS= -k 'not test_exclusion_preview_populated'
+export PYBUILD_TEST_ARGS=--ignore tests/network_manager/test_darwin.py -k 'not test_exclusion_preview_populated'
 export PYS=$(shell $(py3versions --supported))
 export QT_SELECT=qt6
 export HOME=/tmp/home

## vorta 0.10.0

=== debian/changelog ===
vorta (0.10.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1086524).
  * Rebase patch queue onto this release.
  * Install the application icon to system-wide XDG location rather than to
    the increasingly legacy /usr/share/pixmaps; this is also now Appstream
    best practices for icons.
  * Add 0008-Fix-description-para-markup-invalid.patch, which replaces the
    release section with a non-hypertext URL that indicates the upstream bug.
  * Upload to unstable.

 -- Nicholas D Steeves <sten@debian.org>  Sun, 10 Nov 2024 11:58:35 -0500

## vorta 0.10.1

=== debian/changelog ===
vorta (0.10.1-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patch queue onto this release:
    - Drop 0008-Fix-description-para-markup-invalid.patch

 -- Nicholas D Steeves <sten@debian.org>  Sun, 10 Nov 2024 19:23:33 -0500
